using System;
using System.Collections.Generic;
using System.Text;

namespace DecoratorPattern
{
    abstract class BaseMessage
    {
        private string sender;
        private string recipient;

        public string Sender
        {
            get
            {
                return this.sender;
            }
            set
            {
                this.sender = value;
            }
        }

        public string Recipient {
            get
            {
                return this.recipient;
            }
            set
            {
                this.recipient = value;
            }
        }

        public abstract void Send();

    }
}
