using System;
using System.Collections.Generic;
using System.Text;

namespace DecoratorPattern
{
    class Decorator: BaseMessage
    {
        protected BaseMessage message;

        public Decorator(BaseMessage message)
        {
            this.message = message;
        }

        public override void Send()
        {
            message.Send();
        }


    }
}
