using System;
using System.Collections.Generic;
using System.Text;

namespace DecoratorPattern
{
    class MMS:BaseMessage
    {
        private byte[] image;

        public MMS(string sender, string recipient, byte[] image)
        {
            this.Sender = sender;
            this.Recipient = recipient;
            this.Image = image;
        }

        public byte[] Image
        {
            get
            {
                return this.image;
            }
            set 
            {
                this.image = value;
            }
        }

        public override void Send()
        {
            Console.WriteLine("Send to MMSC.");
        }
    }
}
