using System;
using System.Collections.Generic;
using System.Text;

namespace DecoratorPattern
{
    class SMS: BaseMessage
    {
        private string message;

        public SMS(string sender, string recipient, string message)
        {
            this.Sender = sender;
            this.Recipient = recipient;
            this.Message = message;
        }

        public string Message
        {
            get
            {
                return this.message;
            }
            set
            {
                this.message = value;
            }
        }

        public override void Send()
        {
            Console.WriteLine("Send to SMSC.");
        }
    }
}
